Attribute VB_Name = "basRoolForm"
Option Explicit

Public Declare Function GetCursorPos Lib "user32" (lpPoint As POINTAPI) As Long

Public Declare Function GetWindowPlacement Lib "user32" (ByVal hwnd As Long, lpwndpl As WINDOWPLACEMENT) As Long


'Window placement stuff

Public Type POINTAPI
        x As Long
        y As Long
End Type

Public Type RECT
        Left As Long
        Top As Long
        Right As Long
        Bottom As Long
End Type

Public Type WINDOWPLACEMENT
        Length As Long
        flags As Long
        showCmd As Long
        ptMinPosition As POINTAPI
        ptMaxPosition As POINTAPI
        rcNormalPosition As RECT
End Type



Public Sub RollMe(ByRef frmToRoll As Form)

Dim MyWindow            As WINDOWPLACEMENT
Dim Retval              As Long
Dim MousePos            As POINTAPI
Static lngOriginalSize  As Long

DoEvents

If (frmToRoll.WindowState <> vbMinimized) And (frmToRoll.WindowState <> vbMaximized) Then
    If frmToRoll.Height > 400 Then lngOriginalSize = frmToRoll.Height
    Retval = GetWindowPlacement(frmToRoll.hwnd, MyWindow)
    Retval = GetCursorPos(MousePos)
    
    If ((MousePos.x > MyWindow.rcNormalPosition.Left) And (MousePos.x < MyWindow.rcNormalPosition.Right)) And ((MousePos.y > MyWindow.rcNormalPosition.Top) And (MousePos.y < MyWindow.rcNormalPosition.Bottom)) Then
        frmToRoll.Height = lngOriginalSize
    Else
        frmToRoll.Height = 400
    End If
End If

End Sub

